<!DOCTYPE html>
<html lang="ko"
	  xmlns:th="http://www.thymeleaf.org">
<!--
 *******************************************************************************
 * @source  : PrivacyPolicyLayerFormMob.html
 * @desc    : 개인정보 수집 및 이용
 *============================================================================
 * STYLE24
 * Copyright(C) 2021 TSIT, All rights reserved.
 *============================================================================
 * VER  DATE         AUTHOR      DESCRIPTION
 * ===  ===========  ==========  =============================================
 * 1.0  2021.04.28   jsshin       최초 작성
 *******************************************************************************
 -->
<div class="modal-dialog" role="document">
	<div class="modal-content">
		<div class="modal-header">
			<h5 class="modal-title" id="exampleFullLabel" th:text="${mallGb=='join'? '개인정보 수집 및 이용': '개인정보취급방침'}">개인정보 수집 및 이용</h5>
		</div>
		<div class="modal-body">
			<div class="pop_cont">

				<!-- 컨텐츠 시작 -->
				<div class="ps" id="prvc_content" th:utext="${#strings.replace(#strings.replace(clause,'&amplt;','<'),'&ampgt;','>')}"></div>
				<!-- 컨텐츠 종료 -->
				<div class="ps" id="prvc_sel">
					<h4><span>이전 개인정보처리방침 보기</span></h4>
					<ol>
						<th:block th:if="${clauseList}" th:each="oneData, status : ${clauseList}">
							<li th:text="'- '+${oneData.clauseTitle}" th:onclick="fnGetCaluseInfo([[${oneData.clauseSq}]]);"></li>
						</th:block>
					</ol>
				</div>
			</div>
		</div>
	</div>
</div>
<script th:inline="javascript">
/*<![CDATA[*/
	$("#partners").on('click', function() {
		cfnSupplyComanyLayer();
	});

	var fnGetCaluseInfo = function (clauseSq) {
		$.get('/customer/privacy/policy/info/' + clauseSq
			, function (data) {
			if(!gagajf.isNull(data.clauseContent)) {
				$('#prvc_content').html(data.clauseContent.replaceAll('&lt;','<').replaceAll('&gt;', '>').replaceAll('&quot;', '"'));
			}
		});
	};
	//약관내부링크
	$(function(){
		$(".hook_list ul li a").on("click", function(){
			var hookHeader = $(".modal-header").outerHeight() + 3000;
			var hookHref = $(this).attr("href");
			var hookPot = $(hookHref == "#" || hookHref == "" ? "body" : hookHref);
			var hookPos = hookPot.offset().top - hookHeader;
			$("html, body").animate({ scrollTop: hookPos }, 3000);
		});
	});
	$(function(){$('#prvc_sel ol li').on("click", function(){$(".modal").animate({"scrollTop": 0}, 150);});});
/*]]>*/
</script>
</html>